Page MenuHomePhabricator

Prefer information templates that are about the file
Closed, ResolvedPublic

Description

When an image has multiple information templates (e.g. {{Artwork}} + {{Photograph}}), prefer the one that's about the file over one that's about the depicted object.

That is, prefer Photograph over Information over Artwork. Book should be ignored completely.


Version: master
Severity: normal

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:55 AM
bzimport added a project: CommonsMetadata.
bzimport set Reference to bz72084.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Oct 15 2014, 5:54 PM
Gilles triaged this task as Medium priority.Nov 24 2014, 1:49 PM
Gilles added a subscriber: Gilles.

Change 176215 had a related patch set uploaded (by Gerg? Tisza):
Refactor information template parsing to better support multiple templates

https://gerrit.wikimedia.org/r/176215

Patch-For-Review

Tgr claimed this task.Nov 27 2014, 2:02 AM
Tgr moved this task from Untriaged to Ready for testing on the Multimedia board.

Change 176215 merged by jenkins-bot:
Refactor information template parsing to better support multiple templates

https://gerrit.wikimedia.org/r/176215

Gilles moved this task from Ready for testing to Doing on the Multimedia board.Dec 1 2014, 4:21 PM
Gilles moved this task from Doing to Done on the Multimedia board.Dec 4 2014, 8:44 AM
Gilles closed this task as Resolved.Dec 4 2014, 8:49 AM
Tgr reopened this task as Open.Dec 29 2014, 8:36 PM

Reopening. {{Book}} should not be ignored when there are no other templates on the page, it would cause lack of attribution for e.g. scanned images of textual pages (example).

Sn1per claimed this task.Dec 31 2014, 1:15 AM
Sn1per set Security to None.

Change 182371 had a related patch set uploaded (by Sn1per):
Use metadata from Blacklisted templates if they're alone

https://gerrit.wikimedia.org/r/182371

Patch-For-Review

Change 182371 merged by jenkins-bot:
Use metadata from Blacklisted templates if they're alone

https://gerrit.wikimedia.org/r/182371

Tgr closed this task as Resolved.Jan 3 2015, 5:10 PM